routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['middleware' => ['auth']], function () {
Route::resource('recettes', 'RecettesController');
Route::resource('ingredients', 'IngredientsController');
Route::resource('homes', 'RecettesController');
Route::resource('categories', 'CategoriesController');
});

Route::get('/', function () {
    return view('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/recettes.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class recettes extends Model
{
  public function ingredients()
 {
     return $this->belongsToMany(ingredients::class,'ingredients_recettes', 'recette_id','ingredient_id');
 }
}

app/Http/Controllers/RecettesController.php
<?php

namespace App\Http\Controllers;

use App\recettes;
use App\ingredients;
use DB;
use Illuminate\Http\Request;

class RecettesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      $recettes = recettes::all();
      return view('recettes.index',['recettes' => $recettes]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $ingredients = ingredients::all();
        $categories = DB::table('categories')->pluck('name');
        return view('recettes.create',['ingredients' => $ingredients],['categories' => $categories]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
      $inputs = $request->except('_token');
      $recette = new recettes();
      $recette->name = $request->input('name');
      $recette->description = $request->input('description');
      $recette->categorie = $request->input('categorie');
      $recette->save();

      $ingredients = ingredients::find($request->input('ingredient'));
      $recette->ingredients()->attach($ingredients);
      return redirect(route('recettes.index'))->with('success', 'Recette enregistré avec succès !');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\recettes  $recettes
     * @return \Illuminate\Http\Response
     */
    public function show(recettes $recettes)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\recettes  $recettes
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
      $recette = recettes::find($id);
      return view('recettes.edit', ['recette' => $recette]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\recettes  $recettes
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
      $inputs = $request->except('_token', '_method');
      $recette = recettes::find($id);
      foreach ($inputs as $key => $value) {
        $recette->$key = $value;
      }
      $recette->save();

      return redirect(route('recettes.index'))->with('success', 'Experience mis a jour avec succès !');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\recettes  $recettes
     * @return \Illuminate\Http\Response
     */
     public function destroy($id)
     {
         $recette = recettes::find($id);
         $recette->delete();

         return redirect(route('recettes.index'))->with('succes', 'Experience mis à jour avec succès !');
     }
}

resources/views/recettes/create.blade.php
@extends('template.app')

@section('title', 'Créer - Recette')

@section('contenu')
<div class="card">
    <div class="card-header">Créer une recette</div>
    <div class="card-content">
        <form class="form-material" method="POST" action="{{route('recettes.store')}}">
            @csrf
            <div class="grix xs1">
                <div class="form-field">
                    <input type="text" id="title" name="name" class="form-control" />
                    <label for="title">Nom</label>
                </div>
                <div class="form-field">
                    <label for="description">Description</label>
                    <textarea id="description" name="description" class="form-control"></textarea>
                </div>

                <div class="form-field form-default">
                  <label class="txt-center" for="select">Catégorie</label>
                      <select class="form-control" id="select" name="categorie">
                        <?php
                        foreach ($categories as $categorie)
                            {
                                echo "<option>";
                                echo $categorie;
                                echo "</option>";
                            }
                         ?>
                      </select>
                </div>


                <div class="form-field form-default">
                  <label class="txt-center" for="select1">Ingredient 1</label>
                      <select multiple class="form-control" id="select1" name="ingredient[]">

                        @foreach ($ingredients as $ingredient)
                        <option value="{{$ingredient->id}}"> {{ $ingredient->name }}</option>
                         @endforeach
                      </select>
                </div>
            </div>
            <button type="submit" class="btn press primary">Créer</button>
        </form>
    </div>
</div>
@endsection

resources/views/recettes/edit.blade.php
@extends('template.admin')

@section('title', 'Editer - Recette')

@section('contenu')
<div class="card">
    <div class="card-header">Editer une recette</div>
    <div class="card-content">
        <form class="form-material" method="POST" action="{{route('recettes.update', ['recette' => $recette->id])}}">
            @method('PUT')
            @csrf
            <div class="grix xs1">
                <div class="form-field">
                    <input type="text" id="title" name="name" class="form-control" value="{{$recette->name}}" />
                    <label for="title">Titre</label>
                </div>
                <div class="form-field">
                    <label for="description">Description</label>
                    <textarea id="description" name="description" class="form-control">{{$recette->description}}</textarea>
                </div>
            </div>
            <button type="submit" class="btn press secondary">Mettre à jour</button>
        </form>
    </div>
</div>
@endsection

resources/views/recettes/index.blade.php
@extends('template.app')

@section('title', 'Mes recettes')

@section('contenu')
<div class="responsive-table">
    <table class="table">
        <thead>
            <tr>
                <th>#</th>
                <th>Nom</th>
                <th>Catégorie</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody>
            @foreach($recettes as $recette)
            <tr>
                <td>{{$recette->id}}</td>
                <td>{{$recette->name}}</td>
                <td>{{$recette->categorie}}</td>
                <td>{{$recette->description}}</td>
                <td>
                <div class="flex">
                    <a href="{{route('recettes.edit', ['recette' => $recette->id])}}" class="btn circle secondary">
                        <i class="fas fa-pen"></i>
                    </a>
                    <form method="POST" action="{{route('recettes.destroy', ['recette' => $recette->id])}}">
                        @method('DELETE')
                        @csrf
                        <button type="submit" class="ml-2 btn circle red dark-1">
                            <i class="fas fa-trash"></i>
                        </button>
                    </form>
                    <div class="modal white rounded-3" id="modal-example">
  <div class="modal-header">
    Recette : {{$recette->name}}
    <button data-target="modal-example" class="modal-trigger">
      <i class="fas fa-times"></i> <!-- Use font awesome -->
    </button>
  </div>
  <div class="modal-content">
    <ul>
      <li>{{$recette->ingredient1}}</li>
      <li>{{$recette->ingredient2}}</li>
      <li>{{$recette->ingredient3}}</li>
      <li>{{$recette->ingredient4}}</li>
      <li>{{$recette->ingredient5}}</li>
    </ul>
  </div>
  <div class="modal-footer">
    {{$recette->description}}
  </div>
</div>

<button class="btn primary press modal-trigger" data-target="modal-example">Détails</button>
                </div>
            </tr>
            @endforeach

        </tbody>

    </table>
    <br>
    <a href="{{route('recettes.create')}}"class="btn blue"
  <span class="outline-text">Ajouter recette</span>
</a>
</div>
@endsection